Loading...
Searching...
No Matches
debug_stream_type.hpp File Reference

Provides seqan3::debug_stream and related types. More...

`#include <cassert>`
`#include <iosfwd>`
`#include <stdexcept>`
`#include <seqan3/core/add_enum_bitwise_operators.hpp>`
`#include <seqan3/core/debug_stream/default_printer.hpp>`
`#include <seqan3/utility/detail/type_name_as_string.hpp>`
Include dependency graph for debug_stream_type.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | seqan3::debug_stream_printer< value_t >
| A struct that provides a debug stream printer for a specific value type. More...
class | seqan3::debug_stream_type< char_t >
| A "pretty printer" for most SeqAn data structures and related types. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Enumerations

enum class | seqan3::fmtflags2 : int8_t { seqan3::fmtflags2::none = 0 , seqan3::fmtflags2::utf8 = 1 , seqan3::fmtflags2::small_int_as_number = 1 << 1 , default_ = small_int_as_number }
| Flags that change the behaviour of the seqan3::debug_stream. More...

## Detailed Description

Provides seqan3::debug_stream and related types.

Author
  Hannes Hauswedell <hannes.hauswedell AT fu-berlin.de>

Hide me